import ScillaComponent from 'components/base/ScillaComponent';
import { getRotation, setRotation } from './transformUtils';

export default class Rotation extends ScillaComponent {
	onAwake() {
		super.onAwake();

	}
	speed = .5
	onUpdate(t) {
		super.onUpdate(t);
		setRotation(this.entity, getRotation(this.entity) - this.speed);
	}
}
